icetIsEnabled(3)

NAME
icetIsEnabled -- query enabled status of an IceT feature.

Synopsis

#include <IceT.h>

IceTBoolean icetIsEnabled( | IceTEnum | pname | );

Return Value

Returns ICET_TRUE if the feature associated with pname is enabled, ICET_FALSE $(= 0)$ if the feature is disabled.

Errors

ICET_INVALID_VALUE
     If pname is not a feature to be enabled or disabled.

Warnings

None.

Bugs

The check for a valid pname is not thorough, and thus the ICET_INVALID_VALUE error may not always be raised.

Notes

A list of valid values for pname is given in the documentation for icetEnable.

Copyright
Copyright (C)2003 Sandia Corporation

Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains certain rights in this software.

This source code is released under the New BSD License.

See Also

icetEnable(3), icetDisable(3)